#include "cannon.h"

///////////////////////////////////////////////////////////////////
void
cannon_t::update()
{
  if ( !mValid ) 
    return;
}

///////////////////////////////////////////////////////////////////
// Returns true if cannon is able to fire
///////////////////////////////////////////////////////////////////
bool 
cannon_t::fire()
{
  if ( !mValid ) 
    return false;

  if ( mReadyToFire )
  {
    mReadyToFire = false;   // cannon has been fired
    return true;
  }

  return false;
}