#include "globals.h"

// Console vars
// Invasion vars

char con_res[ 64 ] = { "640x480" };
int gScreenWidth = 640, gScreenHeight = 480;

bool con_fullscreen = false;

float con_block_size = 35.0f;
bool con_ai = true;

int con_sndfx_vol = 32000;
char con_level[ 64 ];

bool gCompressTex = true;
bool gVertexProgram = false;

bool con_wire = false;
bool con_wincursor = false;

bool con_draw_debug = false;

int con_difficulty = 0; // 0 = easy, 1 = hard

// Necessary so the difficulty can't be changed during a game
int con_difficulty_next = 0; // 0 = easy, 1 = hard

float con_znear = 200;
float con_zfar = 5000;

int con_ship_health = 2;     // Num hits a ship can take
int con_num_start_ships = 3; // Number of starting ships

int con_warmup_time = 3;
int con_battle_time = 15;  // Battle round time in seconds
int con_build_time = 15;   // Build round time in seconds
int con_cannon_time = 15;

float con_ship_shoot_count = 500;
float con_cannon_shoot_time = 300;

bool con_debug = false;

bool con_shadows = true;
bool con_light = true;
int con_geometry = 1;

bool con_wake = false;

int con_filtering = 0;

float gFactTick;
int gWireFrame = GL_FILL;
unsigned int gClear = GL_DEPTH_BUFFER_BIT;

bool gGameOn = false;

bool gSeparateStencilATI = false;
bool gStencilTwoSideEXT = false;

int gParticleTexture;
int gCrosshairTexture;
int gZMGLogoTexture;
int gLogoTexture;

const float PI_OVER_180 = 0.0174532925f;
const float _180_OVER_PI = 57.2957795130823208767981548141052f;
const float TWO_PI = 6.28318530718f;
