#ifndef __LOG__
#define __LOG__

#include <list>
#include <vector>
#include <stdio.h>
#include <stdlib.h>
#include <ctype.h>
#include <string>
#include <stdarg.h>

using namespace std;
class log_t
{
public:
	log_t( const char *aFileName );
	~log_t();

	void set_enable( bool aEnable ) { mFileLog = aEnable; }
	bool get_enable() const { return mFileLog; }
	void add_msg( const char *msg, ... );

private:

	bool mFileLog;
	FILE *mFilePtr;
};

extern log_t *gLog;
extern log_t *gDebug;

#endif
