#ifndef __TIMER__
#define __TIMER__

#include <windows.h>
#include "mmsystem.h"

class 
timer_t 
{
public:
    timer_t() 
	{
        timeBeginPeriod( 1 ); 
        freq = 1 / 1000.0;
        s = 0;
    }
    ~timer_t() { timeEndPeriod( 1 ); }

    void start() { s = timeGetTime(); }
    double tick() 
	{
        current_time = ( double ) ( timeGetTime() - s ) * freq;
        return current_time;
    }

    double time() const { return current_time; }

	DWORD getStartTime() const { return s; }

private:
    DWORD   s;
    double  freq;
    double  current_time;
};

#endif 
