#include "castle_piece.h"

piece_offset_t gPieceOffset[ 8 ][ 4 ];

void
init_tetris_pieces()
{
// All pieces have 4 squares set even though some pieces
// don't have 4 visible squares.

// PIECE_3I NOT ROTATED
gPieceOffset[ PIECE_I ][ 0 ].mX[ 0 ] = 0;
gPieceOffset[ PIECE_I ][ 0 ].mZ[ 0 ] = 0;

gPieceOffset[ PIECE_I ][ 0 ].mX[ 1 ] = 1;
gPieceOffset[ PIECE_I ][ 0 ].mZ[ 1 ] = 0;

gPieceOffset[ PIECE_I ][ 0 ].mX[ 2 ] = 2;
gPieceOffset[ PIECE_I ][ 0 ].mZ[ 2 ] = 0;

gPieceOffset[ PIECE_I ][ 0 ].mX[ 3 ] = 2;
gPieceOffset[ PIECE_I ][ 0 ].mZ[ 3 ] = 0;

// PIECE_3I ROTATED by 90 degrees
gPieceOffset[ PIECE_I ][ 1 ].mX[ 0 ] = 0;
gPieceOffset[ PIECE_I ][ 1 ].mZ[ 0 ] = 0;

gPieceOffset[ PIECE_I ][ 1 ].mX[ 1 ] = 0;
gPieceOffset[ PIECE_I ][ 1 ].mZ[ 1 ] = -1;

gPieceOffset[ PIECE_I ][ 1 ].mX[ 2 ] = 0;
gPieceOffset[ PIECE_I ][ 1 ].mZ[ 2 ] = -2;

gPieceOffset[ PIECE_I ][ 1 ].mX[ 3 ] = 0;
gPieceOffset[ PIECE_I ][ 1 ].mZ[ 3 ] = -2;

// PIECE_3I ROTATED by 180 degrees
gPieceOffset[ PIECE_I ][ 2 ].mX[ 0 ] = 0;
gPieceOffset[ PIECE_I ][ 2 ].mZ[ 0 ] = 0;

gPieceOffset[ PIECE_I ][ 2 ].mX[ 1 ] = -1;
gPieceOffset[ PIECE_I ][ 2 ].mZ[ 1 ] = 0;

gPieceOffset[ PIECE_I ][ 2 ].mX[ 2 ] = -2;
gPieceOffset[ PIECE_I ][ 2 ].mZ[ 2 ] = 0;

gPieceOffset[ PIECE_I ][ 2 ].mX[ 3 ] = -2;
gPieceOffset[ PIECE_I ][ 2 ].mZ[ 3 ] = 0;

// PIECE_3I ROTATED by 270 degrees
gPieceOffset[ PIECE_I ][ 3 ].mX[ 0 ] = 0;
gPieceOffset[ PIECE_I ][ 3 ].mZ[ 0 ] = 0;

gPieceOffset[ PIECE_I ][ 3 ].mX[ 1 ] = 0;
gPieceOffset[ PIECE_I ][ 3 ].mZ[ 1 ] = 1;

gPieceOffset[ PIECE_I ][ 3 ].mX[ 2 ] = 0;
gPieceOffset[ PIECE_I ][ 3 ].mZ[ 2 ] = 2;

gPieceOffset[ PIECE_I ][ 3 ].mX[ 3 ] = 0;
gPieceOffset[ PIECE_I ][ 3 ].mZ[ 3 ] = 2;

////////////////////////////////////////////////
// PIECE_L NOT ROTATED
gPieceOffset[ PIECE_L ][ 0 ].mX[ 0 ] = 0;
gPieceOffset[ PIECE_L ][ 0 ].mZ[ 0 ] = 0;

gPieceOffset[ PIECE_L ][ 0 ].mX[ 1 ] = 1;
gPieceOffset[ PIECE_L ][ 0 ].mZ[ 1 ] = 0;

gPieceOffset[ PIECE_L ][ 0 ].mX[ 2 ] = 2;
gPieceOffset[ PIECE_L ][ 0 ].mZ[ 2 ] = 0;

gPieceOffset[ PIECE_L ][ 0 ].mX[ 3 ] = 2;
gPieceOffset[ PIECE_L ][ 0 ].mZ[ 3 ] = 1;

// PIECE_L ROTATED by 90 degrees
gPieceOffset[ PIECE_L ][ 1 ].mX[ 0 ] = 0;
gPieceOffset[ PIECE_L ][ 1 ].mZ[ 0 ] = 0;

gPieceOffset[ PIECE_L ][ 1 ].mX[ 1 ] = 0;
gPieceOffset[ PIECE_L ][ 1 ].mZ[ 1 ] = -1;

gPieceOffset[ PIECE_L ][ 1 ].mX[ 2 ] = 0;
gPieceOffset[ PIECE_L ][ 1 ].mZ[ 2 ] = -2;

gPieceOffset[ PIECE_L ][ 1 ].mX[ 3 ] = 1;
gPieceOffset[ PIECE_L ][ 1 ].mZ[ 3 ] = -2;

// PIECE_L ROTATED by 180 degrees
gPieceOffset[ PIECE_L ][ 2 ].mX[ 0 ] = 0;
gPieceOffset[ PIECE_L ][ 2 ].mZ[ 0 ] = 0;

gPieceOffset[ PIECE_L ][ 2 ].mX[ 1 ] = -1;
gPieceOffset[ PIECE_L ][ 2 ].mZ[ 1 ] = 0;

gPieceOffset[ PIECE_L ][ 2 ].mX[ 2 ] = -2;
gPieceOffset[ PIECE_L ][ 2 ].mZ[ 2 ] = 0;

gPieceOffset[ PIECE_L ][ 2 ].mX[ 3 ] = -2;
gPieceOffset[ PIECE_L ][ 2 ].mZ[ 3 ] = -1;

// PIECE_L ROTATED by 270 degrees
gPieceOffset[ PIECE_L ][ 3 ].mX[ 0 ] = 0;
gPieceOffset[ PIECE_L ][ 3 ].mZ[ 0 ] = 0;

gPieceOffset[ PIECE_L ][ 3 ].mX[ 1 ] = 0;
gPieceOffset[ PIECE_L ][ 3 ].mZ[ 1 ] = 1;

gPieceOffset[ PIECE_L ][ 3 ].mX[ 2 ] = 0;
gPieceOffset[ PIECE_L ][ 3 ].mZ[ 2 ] = 2;

gPieceOffset[ PIECE_L ][ 3 ].mX[ 3 ] = -1;
gPieceOffset[ PIECE_L ][ 3 ].mZ[ 3 ] = 2;

////////////////////////////////////////////////
// PIECE_T NOT ROTATED
gPieceOffset[ PIECE_T ][ 0 ].mX[ 0 ] = 0;
gPieceOffset[ PIECE_T ][ 0 ].mZ[ 0 ] = 0;

gPieceOffset[ PIECE_T ][ 0 ].mX[ 1 ] = 0;
gPieceOffset[ PIECE_T ][ 0 ].mZ[ 1 ] = -1;

gPieceOffset[ PIECE_T ][ 0 ].mX[ 2 ] = 0;
gPieceOffset[ PIECE_T ][ 0 ].mZ[ 2 ] = 1;

gPieceOffset[ PIECE_T ][ 0 ].mX[ 3 ] = 1;
gPieceOffset[ PIECE_T ][ 0 ].mZ[ 3 ] = 0;

// PIECE_T ROTATED by 90 degrees
gPieceOffset[ PIECE_T ][ 1 ].mX[ 0 ] = 0;
gPieceOffset[ PIECE_T ][ 1 ].mZ[ 0 ] = 0;

gPieceOffset[ PIECE_T ][ 1 ].mX[ 1 ] = -1;
gPieceOffset[ PIECE_T ][ 1 ].mZ[ 1 ] = 0;

gPieceOffset[ PIECE_T ][ 1 ].mX[ 2 ] = 1;
gPieceOffset[ PIECE_T ][ 1 ].mZ[ 2 ] = 0;

gPieceOffset[ PIECE_T ][ 1 ].mX[ 3 ] = 0;
gPieceOffset[ PIECE_T ][ 1 ].mZ[ 3 ] = -1;

// PIECE_T ROTATED by 180 degrees
gPieceOffset[ PIECE_T ][ 2 ].mX[ 0 ] = 0;
gPieceOffset[ PIECE_T ][ 2 ].mZ[ 0 ] = 0;

gPieceOffset[ PIECE_T ][ 2 ].mX[ 1 ] = 0;
gPieceOffset[ PIECE_T ][ 2 ].mZ[ 1 ] = -1;

gPieceOffset[ PIECE_T ][ 2 ].mX[ 2 ] = 0;
gPieceOffset[ PIECE_T ][ 2 ].mZ[ 2 ] = 1;

gPieceOffset[ PIECE_T ][ 2 ].mX[ 3 ] = -1;
gPieceOffset[ PIECE_T ][ 2 ].mZ[ 3 ] = 0;

// PIECE_T ROTATED by 270 degrees
gPieceOffset[ PIECE_T ][ 3 ].mX[ 0 ] = 0;
gPieceOffset[ PIECE_T ][ 3 ].mZ[ 0 ] = 0;

gPieceOffset[ PIECE_T ][ 3 ].mX[ 1 ] = -1;
gPieceOffset[ PIECE_T ][ 3 ].mZ[ 1 ] = 0;

gPieceOffset[ PIECE_T ][ 3 ].mX[ 2 ] = 1;
gPieceOffset[ PIECE_T ][ 3 ].mZ[ 2 ] = 0;

gPieceOffset[ PIECE_T ][ 3 ].mX[ 3 ] = 0;
gPieceOffset[ PIECE_T ][ 3 ].mZ[ 3 ] = 1;

////////////////////////////////////////////////
// PIECE_S NOT ROTATED
gPieceOffset[ PIECE_S ][ 0 ].mX[ 0 ] = 0;
gPieceOffset[ PIECE_S ][ 0 ].mZ[ 0 ] = 0;

gPieceOffset[ PIECE_S ][ 0 ].mX[ 1 ] = 1;
gPieceOffset[ PIECE_S ][ 0 ].mZ[ 1 ] = 0;

gPieceOffset[ PIECE_S ][ 0 ].mX[ 2 ] = 1;
gPieceOffset[ PIECE_S ][ 0 ].mZ[ 2 ] = 1;

gPieceOffset[ PIECE_S ][ 0 ].mX[ 3 ] = 2;
gPieceOffset[ PIECE_S ][ 0 ].mZ[ 3 ] = 1;

// PIECE_S ROTATED by 90 degrees
gPieceOffset[ PIECE_S ][ 1 ].mX[ 0 ] = 0;
gPieceOffset[ PIECE_S ][ 1 ].mZ[ 0 ] = 0;

gPieceOffset[ PIECE_S ][ 1 ].mX[ 1 ] = 0;
gPieceOffset[ PIECE_S ][ 1 ].mZ[ 1 ] = -1;

gPieceOffset[ PIECE_S ][ 1 ].mX[ 2 ] = 1;
gPieceOffset[ PIECE_S ][ 1 ].mZ[ 2 ] = -1;

gPieceOffset[ PIECE_S ][ 1 ].mX[ 3 ] = 1;
gPieceOffset[ PIECE_S ][ 1 ].mZ[ 3 ] = -2;

// PIECE_S ROTATED by 180 degrees
gPieceOffset[ PIECE_S ][ 2 ].mX[ 0 ] = 0;
gPieceOffset[ PIECE_S ][ 2 ].mZ[ 0 ] = 0;

gPieceOffset[ PIECE_S ][ 2 ].mX[ 1 ] = -1;
gPieceOffset[ PIECE_S ][ 2 ].mZ[ 1 ] = 0;

gPieceOffset[ PIECE_S ][ 2 ].mX[ 2 ] = -1;
gPieceOffset[ PIECE_S ][ 2 ].mZ[ 2 ] = -1;

gPieceOffset[ PIECE_S ][ 2 ].mX[ 3 ] = -2;
gPieceOffset[ PIECE_S ][ 2 ].mZ[ 3 ] = -1;

// PIECE_S ROTATED by 270 degrees
gPieceOffset[ PIECE_S ][ 3 ].mX[ 0 ] = 0;
gPieceOffset[ PIECE_S ][ 3 ].mZ[ 0 ] = 0;

gPieceOffset[ PIECE_S ][ 3 ].mX[ 1 ] = 0;
gPieceOffset[ PIECE_S ][ 3 ].mZ[ 1 ] = 1;

gPieceOffset[ PIECE_S ][ 3 ].mX[ 2 ] = -1;
gPieceOffset[ PIECE_S ][ 3 ].mZ[ 2 ] = 1;

gPieceOffset[ PIECE_S ][ 3 ].mX[ 3 ] = -1;
gPieceOffset[ PIECE_S ][ 3 ].mZ[ 3 ] = 2;

////////////////////////////////////////////////
// PIECE_2I NOT ROTATED
gPieceOffset[ PIECE_2I ][ 0 ].mX[ 0 ] = 0;
gPieceOffset[ PIECE_2I ][ 0 ].mZ[ 0 ] = 0;

gPieceOffset[ PIECE_2I ][ 0 ].mX[ 1 ] = 1;
gPieceOffset[ PIECE_2I ][ 0 ].mZ[ 1 ] = 0;

gPieceOffset[ PIECE_2I ][ 0 ].mX[ 2 ] = 0;
gPieceOffset[ PIECE_2I ][ 0 ].mZ[ 2 ] = 0;

gPieceOffset[ PIECE_2I ][ 0 ].mX[ 3 ] = 1;
gPieceOffset[ PIECE_2I ][ 0 ].mZ[ 3 ] = 0;

// PIECE_2I ROTATED by 90 degrees
gPieceOffset[ PIECE_2I ][ 1 ].mX[ 0 ] = 0;
gPieceOffset[ PIECE_2I ][ 1 ].mZ[ 0 ] = 0;

gPieceOffset[ PIECE_2I ][ 1 ].mX[ 1 ] = 0;
gPieceOffset[ PIECE_2I ][ 1 ].mZ[ 1 ] = -1;

gPieceOffset[ PIECE_2I ][ 1 ].mX[ 2 ] = 0;
gPieceOffset[ PIECE_2I ][ 1 ].mZ[ 2 ] = 0;

gPieceOffset[ PIECE_2I ][ 1 ].mX[ 3 ] = 0;
gPieceOffset[ PIECE_2I ][ 1 ].mZ[ 3 ] = -1;

// PIECE_2I ROTATED by 180 degrees
gPieceOffset[ PIECE_2I ][ 2 ].mX[ 0 ] = 0;
gPieceOffset[ PIECE_2I ][ 2 ].mZ[ 0 ] = 0;

gPieceOffset[ PIECE_2I ][ 2 ].mX[ 1 ] = -1;
gPieceOffset[ PIECE_2I ][ 2 ].mZ[ 1 ] = 0;

gPieceOffset[ PIECE_2I ][ 2 ].mX[ 2 ] = 0;
gPieceOffset[ PIECE_2I ][ 2 ].mZ[ 2 ] = 0;

gPieceOffset[ PIECE_2I ][ 2 ].mX[ 3 ] = -1;
gPieceOffset[ PIECE_2I ][ 2 ].mZ[ 3 ] = 0;

// PIECE_2I ROTATED by 270 degrees
gPieceOffset[ PIECE_2I ][ 3 ].mX[ 0 ] = 0;
gPieceOffset[ PIECE_2I ][ 3 ].mZ[ 0 ] = 0;

gPieceOffset[ PIECE_2I ][ 3 ].mX[ 1 ] = 0;
gPieceOffset[ PIECE_2I ][ 3 ].mZ[ 1 ] = 1;

gPieceOffset[ PIECE_2I ][ 3 ].mX[ 2 ] = 0;
gPieceOffset[ PIECE_2I ][ 3 ].mZ[ 2 ] = 0;

gPieceOffset[ PIECE_2I ][ 3 ].mX[ 3 ] = 0;
gPieceOffset[ PIECE_2I ][ 3 ].mZ[ 3 ] = 1;

////////////////////////////////////////////////
// PIECE_SING NOT ROTATED
gPieceOffset[ PIECE_SING ][ 0 ].mX[ 0 ] = 0;
gPieceOffset[ PIECE_SING ][ 0 ].mZ[ 0 ] = 0;

gPieceOffset[ PIECE_SING ][ 0 ].mX[ 1 ] = 0;
gPieceOffset[ PIECE_SING ][ 0 ].mZ[ 1 ] = 0;

gPieceOffset[ PIECE_SING ][ 0 ].mX[ 2 ] = 0;
gPieceOffset[ PIECE_SING ][ 0 ].mZ[ 2 ] = 0;

gPieceOffset[ PIECE_SING ][ 0 ].mX[ 3 ] = 0;
gPieceOffset[ PIECE_SING ][ 0 ].mZ[ 3 ] = 0;

// PIECE_SING ROTATED by 90 degrees
gPieceOffset[ PIECE_SING ][ 1 ].mX[ 0 ] = 0;
gPieceOffset[ PIECE_SING ][ 1 ].mZ[ 0 ] = 0;

gPieceOffset[ PIECE_SING ][ 1 ].mX[ 1 ] = 0;
gPieceOffset[ PIECE_SING ][ 1 ].mZ[ 1 ] = 0;

gPieceOffset[ PIECE_SING ][ 1 ].mX[ 2 ] = 0;
gPieceOffset[ PIECE_SING ][ 1 ].mZ[ 2 ] = 0;

gPieceOffset[ PIECE_SING ][ 1 ].mX[ 3 ] = 0;
gPieceOffset[ PIECE_SING ][ 1 ].mZ[ 3 ] = 0;

// PIECE_SING ROTATED by 180 degrees
gPieceOffset[ PIECE_SING ][ 2 ].mX[ 0 ] = 0;
gPieceOffset[ PIECE_SING ][ 2 ].mZ[ 0 ] = 0;

gPieceOffset[ PIECE_SING ][ 2 ].mX[ 1 ] = 0;
gPieceOffset[ PIECE_SING ][ 2 ].mZ[ 1 ] = 0;

gPieceOffset[ PIECE_SING ][ 2 ].mX[ 2 ] = 0;
gPieceOffset[ PIECE_SING ][ 2 ].mZ[ 2 ] = 0;

gPieceOffset[ PIECE_SING ][ 2 ].mX[ 3 ] = 0;
gPieceOffset[ PIECE_SING ][ 2 ].mZ[ 3 ] = 0;

// PIECE_SING ROTATED by 270 degrees
gPieceOffset[ PIECE_SING ][ 3 ].mX[ 0 ] = 0;
gPieceOffset[ PIECE_SING ][ 3 ].mZ[ 0 ] = 0;

gPieceOffset[ PIECE_SING ][ 3 ].mX[ 1 ] = 0;
gPieceOffset[ PIECE_SING ][ 3 ].mZ[ 1 ] = 0;

gPieceOffset[ PIECE_SING ][ 3 ].mX[ 2 ] = 0;
gPieceOffset[ PIECE_SING ][ 3 ].mZ[ 2 ] = 0;

gPieceOffset[ PIECE_SING ][ 3 ].mX[ 3 ] = 0;
gPieceOffset[ PIECE_SING ][ 3 ].mZ[ 3 ] = 0;

////////////////////////////////////////////////
// PIECE_CRNR NOT ROTATED
gPieceOffset[ PIECE_CRNR ][ 0 ].mX[ 0 ] = 0;
gPieceOffset[ PIECE_CRNR ][ 0 ].mZ[ 0 ] = 0;

gPieceOffset[ PIECE_CRNR ][ 0 ].mX[ 1 ] = 0;
gPieceOffset[ PIECE_CRNR ][ 0 ].mZ[ 1 ] = 1;

gPieceOffset[ PIECE_CRNR ][ 0 ].mX[ 2 ] = 1;
gPieceOffset[ PIECE_CRNR ][ 0 ].mZ[ 2 ] = 0;

gPieceOffset[ PIECE_CRNR ][ 0 ].mX[ 3 ] = 1;
gPieceOffset[ PIECE_CRNR ][ 0 ].mZ[ 3 ] = 0;

// PIECE_CRNR ROTATED by 90 degrees
gPieceOffset[ PIECE_CRNR ][ 1 ].mX[ 0 ] = 0;
gPieceOffset[ PIECE_CRNR ][ 1 ].mZ[ 0 ] = 0;

gPieceOffset[ PIECE_CRNR ][ 1 ].mX[ 1 ] = 1;
gPieceOffset[ PIECE_CRNR ][ 1 ].mZ[ 1 ] = 0;

gPieceOffset[ PIECE_CRNR ][ 1 ].mX[ 2 ] = 0;
gPieceOffset[ PIECE_CRNR ][ 1 ].mZ[ 2 ] = -1;

gPieceOffset[ PIECE_CRNR ][ 1 ].mX[ 3 ] = 0;
gPieceOffset[ PIECE_CRNR ][ 1 ].mZ[ 3 ] = -1;

// PIECE_CRNR ROTATED by 180 degrees
gPieceOffset[ PIECE_CRNR ][ 2 ].mX[ 0 ] = 0;
gPieceOffset[ PIECE_CRNR ][ 2 ].mZ[ 0 ] = 0;

gPieceOffset[ PIECE_CRNR ][ 2 ].mX[ 1 ] = 0;
gPieceOffset[ PIECE_CRNR ][ 2 ].mZ[ 1 ] = -1;

gPieceOffset[ PIECE_CRNR ][ 2 ].mX[ 2 ] = -1;
gPieceOffset[ PIECE_CRNR ][ 2 ].mZ[ 2 ] = 0;

gPieceOffset[ PIECE_CRNR ][ 2 ].mX[ 3 ] = -1;
gPieceOffset[ PIECE_CRNR ][ 2 ].mZ[ 3 ] = 0;

// PIECE_CRNR ROTATED by 270 degrees
gPieceOffset[ PIECE_CRNR ][ 3 ].mX[ 0 ] = 0;
gPieceOffset[ PIECE_CRNR ][ 3 ].mZ[ 0 ] = 0;

gPieceOffset[ PIECE_CRNR ][ 3 ].mX[ 1 ] = -1;
gPieceOffset[ PIECE_CRNR ][ 3 ].mZ[ 1 ] = 0;

gPieceOffset[ PIECE_CRNR ][ 3 ].mX[ 2 ] = 0;
gPieceOffset[ PIECE_CRNR ][ 3 ].mZ[ 2 ] = 1;

gPieceOffset[ PIECE_CRNR ][ 3 ].mX[ 3 ] = 0;
gPieceOffset[ PIECE_CRNR ][ 3 ].mZ[ 3 ] = 1;

////////////////////////////////////////////////
// PIECE_S_INV NOT ROTATED
gPieceOffset[ PIECE_S_INV ][ 0 ].mX[ 0 ] = 0;
gPieceOffset[ PIECE_S_INV ][ 0 ].mZ[ 0 ] = 0;

gPieceOffset[ PIECE_S_INV ][ 0 ].mX[ 1 ] = 1;
gPieceOffset[ PIECE_S_INV ][ 0 ].mZ[ 1 ] = 0;

gPieceOffset[ PIECE_S_INV ][ 0 ].mX[ 2 ] = 1;
gPieceOffset[ PIECE_S_INV ][ 0 ].mZ[ 2 ] = -1;

gPieceOffset[ PIECE_S_INV ][ 0 ].mX[ 3 ] = 2;
gPieceOffset[ PIECE_S_INV ][ 0 ].mZ[ 3 ] = -1;

// PIECE_S_INV ROTATED by 90 degrees
gPieceOffset[ PIECE_S_INV ][ 1 ].mX[ 0 ] = 0;
gPieceOffset[ PIECE_S_INV ][ 1 ].mZ[ 0 ] = 0;

gPieceOffset[ PIECE_S_INV ][ 1 ].mX[ 1 ] = 0;
gPieceOffset[ PIECE_S_INV ][ 1 ].mZ[ 1 ] = -1;

gPieceOffset[ PIECE_S_INV ][ 1 ].mX[ 2 ] = -1;
gPieceOffset[ PIECE_S_INV ][ 1 ].mZ[ 2 ] = -1;

gPieceOffset[ PIECE_S_INV ][ 1 ].mX[ 3 ] = -1;
gPieceOffset[ PIECE_S_INV ][ 1 ].mZ[ 3 ] = -2;

// PIECE_S_INV ROTATED by 180 degrees
gPieceOffset[ PIECE_S_INV ][ 2 ].mX[ 0 ] = 0;
gPieceOffset[ PIECE_S_INV ][ 2 ].mZ[ 0 ] = 0;

gPieceOffset[ PIECE_S_INV ][ 2 ].mX[ 1 ] = -1;
gPieceOffset[ PIECE_S_INV ][ 2 ].mZ[ 1 ] = 0;

gPieceOffset[ PIECE_S_INV ][ 2 ].mX[ 2 ] = -1;
gPieceOffset[ PIECE_S_INV ][ 2 ].mZ[ 2 ] = 1;

gPieceOffset[ PIECE_S_INV ][ 2 ].mX[ 3 ] = -2;
gPieceOffset[ PIECE_S_INV ][ 2 ].mZ[ 3 ] = 1;

// PIECE_S_INV ROTATED by 270 degrees
gPieceOffset[ PIECE_S_INV ][ 3 ].mX[ 0 ] = 0;
gPieceOffset[ PIECE_S_INV ][ 3 ].mZ[ 0 ] = 0;

gPieceOffset[ PIECE_S_INV ][ 3 ].mX[ 1 ] = 0;
gPieceOffset[ PIECE_S_INV ][ 3 ].mZ[ 1 ] = 1;

gPieceOffset[ PIECE_S_INV ][ 3 ].mX[ 2 ] = 1;
gPieceOffset[ PIECE_S_INV ][ 3 ].mZ[ 2 ] = 1;

gPieceOffset[ PIECE_S_INV ][ 3 ].mX[ 3 ] = 1;
gPieceOffset[ PIECE_S_INV ][ 3 ].mZ[ 3 ] = 2;
/*
////////////////////////////////////////////////
// PIECE_X NOT ROTATED
gPieceOffset[ PIECE_X ][ 0 ].mX[ 0 ] = 0;
gPieceOffset[ PIECE_X ][ 0 ].mZ[ 0 ] = 0;

gPieceOffset[ PIECE_X ][ 0 ].mX[ 1 ] = 0;
gPieceOffset[ PIECE_X ][ 0 ].mZ[ 1 ] = -1;

gPieceOffset[ PIECE_X ][ 0 ].mX[ 2 ] = 0;
gPieceOffset[ PIECE_X ][ 0 ].mZ[ 2 ] = 1;

gPieceOffset[ PIECE_X ][ 0 ].mX[ 3 ] = 1;
gPieceOffset[ PIECE_X ][ 0 ].mZ[ 3 ] = 0;

gPieceOffset[ PIECE_X ][ 0 ].mX[ 4 ] = -1;
gPieceOffset[ PIECE_X ][ 0 ].mZ[ 4 ] = 0;

// PIECE_X ROTATED by 90 degrees
gPieceOffset[ PIECE_X ][ 1 ].mX[ 0 ] = 0;
gPieceOffset[ PIECE_X ][ 1 ].mZ[ 0 ] = 0;

gPieceOffset[ PIECE_X ][ 1 ].mX[ 1 ] = -1;
gPieceOffset[ PIECE_X ][ 1 ].mZ[ 1 ] = 0;

gPieceOffset[ PIECE_X ][ 1 ].mX[ 2 ] = 1;
gPieceOffset[ PIECE_X ][ 1 ].mZ[ 2 ] = 0;

gPieceOffset[ PIECE_X ][ 1 ].mX[ 3 ] = 0;
gPieceOffset[ PIECE_X ][ 1 ].mZ[ 3 ] = -1;

gPieceOffset[ PIECE_X ][ 1 ].mX[ 4 ] = 0;
gPieceOffset[ PIECE_X ][ 1 ].mZ[ 4 ] = 1;

// PIECE_X ROTATED by 180 degrees
gPieceOffset[ PIECE_X ][ 2 ].mX[ 0 ] = 0;
gPieceOffset[ PIECE_X ][ 2 ].mZ[ 0 ] = 0;

gPieceOffset[ PIECE_X ][ 2 ].mX[ 1 ] = 0;
gPieceOffset[ PIECE_X ][ 2 ].mZ[ 1 ] = -1;

gPieceOffset[ PIECE_X ][ 2 ].mX[ 2 ] = 0;
gPieceOffset[ PIECE_X ][ 2 ].mZ[ 2 ] = 1;

gPieceOffset[ PIECE_X ][ 2 ].mX[ 3 ] = -1;
gPieceOffset[ PIECE_X ][ 2 ].mZ[ 3 ] = 0;

gPieceOffset[ PIECE_X ][ 2 ].mX[ 4 ] = 1;
gPieceOffset[ PIECE_X ][ 2 ].mZ[ 4 ] = 0;

// PIECE_X ROTATED by 270 degrees
gPieceOffset[ PIECE_X ][ 3 ].mX[ 0 ] = 0;
gPieceOffset[ PIECE_X ][ 3 ].mZ[ 0 ] = 0;

gPieceOffset[ PIECE_X ][ 3 ].mX[ 1 ] = -1;
gPieceOffset[ PIECE_X ][ 3 ].mZ[ 1 ] = 0;

gPieceOffset[ PIECE_X ][ 3 ].mX[ 2 ] = 1;
gPieceOffset[ PIECE_X ][ 3 ].mZ[ 2 ] = 0;

gPieceOffset[ PIECE_X ][ 3 ].mX[ 3 ] = 0;
gPieceOffset[ PIECE_X ][ 3 ].mZ[ 3 ] = 1;

gPieceOffset[ PIECE_X ][ 3 ].mX[ 4 ] = 0;
gPieceOffset[ PIECE_X ][ 3 ].mZ[ 4 ] = -1;
*/
}