#include "cursor.h"

cursor_t gCursor;

void
cursor_t::draw()
{
  if ( !mEnabled )
    return;

	static POINT lPos;
	GetCursorPos( &lPos );	
  
  glMatrixMode( GL_PROJECTION );
  glPushMatrix();
  glLoadIdentity();
  glOrtho( 0, mScreenWidth, 0, mScreenHeight, -100, 100 );
  glMatrixMode( GL_MODELVIEW );
  glPushMatrix();
  glLoadIdentity(); 

  //
	lPos.y = mScreenHeight - lPos.y;
  lPos.y += 20;

	if ( lPos.x > mScreenWidth )
		lPos.x = mScreenWidth;
	if ( lPos.x < 0 )
		lPos.x = 0;
	if ( lPos.y > mScreenHeight )
		lPos.y = mScreenHeight;
	if ( lPos.y < 0 )
		lPos.y = 0;

	glColor3f( 1, 1, 1 );
	glBindTexture( GL_TEXTURE_2D, mTexture );
	glBegin( GL_QUADS );
  
	glTexCoord2f( 0, 1 );
	glVertex2d( lPos.x - 10, lPos.y + 10 );
  
	glTexCoord2f( 1, 1 );
	glVertex2d( lPos.x + 10, lPos.y + 10 );
  
	glTexCoord2f( 1, 0 );
	glVertex2d( lPos.x + 10, lPos.y - 10 );
  
	glTexCoord2f( 0, 0 );
	glVertex2d( lPos.x - 10, lPos.y - 10 );

	glEnd();

  //
  glMatrixMode( GL_PROJECTION );
  glPopMatrix();
  glMatrixMode( GL_MODELVIEW );
  glPopMatrix();
}