#include "log.h"

log_t *gLog;
log_t *gDebug;

//////////////////////////////////////////////////////////////////////
log_t::log_t( const char *aFileName )
{
	mFileLog = false;
	mFilePtr = fopen( aFileName, "w" );
}

log_t::~log_t()
{
	fflush( mFilePtr );
	fclose( mFilePtr );
}

//////////////////////////////////////////////////////////////////////
void 
log_t::add_msg( const char *msg, ... )
{
	va_list		ap;
	if ( msg == NULL )
		return;

	static char finalMsg[ 1024 ]; 

	va_start( ap, msg );
	vsprintf( finalMsg, msg, ap );
	va_end( ap );

	fputs( finalMsg, mFilePtr );
	fputs( "\n", mFilePtr );
	fflush( mFilePtr );
}
